# $Revision: 1.21 $, $Date: 2008/07/27 22:58:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WebFetch
Summary:	WebFetch - Perl module to download and save information from the Web
Summary(pl.UTF-8):	WebFetch - moduł Perla do ściągania i zapisywania informacji z WWW
Name:		perl-WebFetch
Version:	0.10
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IK/IKLUFT/%{pdir}-%{version}.tar.gz
# Source0-md5:	5632d7c0d3240444ba54523e5ea81a5c
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(Locale::Country)
BuildRequires:	perl-Date-Calc
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-libwww
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebFetch - infrastructure for downloading ("fetching") information
from various sources around the Internet or the local system in order
to present them for display, or to export local information to other
sites on the Internet.

%description -l pl.UTF-8
Moduł WebFetch - infrastruktura do ściągania informacji z różnych
źródeł w całym Internecie lub z lokalnego systemu w celu wyświetlenia
lub eksportu informacji na inne serwisy internetowe.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/WebFetch
# empty autosplit.ix files
%{perl_vendorlib}/auto/WebFetch
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WebFetch.spec,v $
Revision 1.21  2008/07/27 22:58:00  arekm
- release 7

Revision 1.20  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.18  2004/11/03 22:30:54  paladine
- formatting

Revision 1.17  2004/05/07 01:24:06  ankry
- rel. 6

Revision 1.16  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/04 13:36:34  ankry
- license fix, cosmetics

Revision 1.14  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.13  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:41  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/12 13:44:33  radek
- restored empty autosplit.ix files
  (why are these little bastards needed, I don't know)
- release++

Revision 1.4  2002/09/19 12:28:50  ankry
- reverse previous change, release 3

Revision 1.2  2002/08/22 20:56:49  qboosh
- pl description

Revision 1.1  2002/08/22 16:42:53  radek
- new, STBR
